<script>
    function change_color(c){
        console.log(c)
        document.getElementById('name').style.background = c;
        document.getElementById('name1').textContent = c;
    }
</script>
  

<button onclick="change_color('red')" style="background-color: red">Red</button>
<button onclick="change_color('blue')" style="background-color: blue">Blue</button>
<button onclick="change_color('green')" style="background-color: green;">Green</button>

<div style="display:flex; gap:20px; margin-top:20px;">  
   <div id="name" style="height: 300px; width: 300px;background-color: black; color: white; border:3px solid black; display: flex; justify-content: center; align-items: center;">
    </div> 
    <div id="name1" style="height: 300px; width: 300px; color:black; border:3px solid black; display: flex; justify-content: center; align-items: center;">Black
    </div>
</div>






